{% extends 'base.html.twig' %}

{% block title %}Pacientes{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block body %}
    <div class="hospital-content">
    <h1 class="d-print-none">Paciente: <b>{{paciente.apellido}}, {{paciente.nombre}}</b></h1>

    <ul class="nav nav-tabs d-print-none" id="myTab" role="tablist">
      <li class="nav-item">
        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#datos" role="tab" aria-controls="home" aria-selected="true">Datos Personales</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="profile-tab" data-toggle="tab" href="#triage" role="tab" aria-controls="profile" aria-selected="false">Triage</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="contact-tab" data-toggle="tab" href="#contact" role="tab" aria-controls="contact" aria-selected="false">Institución</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="valoracion-tab" data-toggle="tab" href="#valoracion" role="tab" aria-controls="valoracion" aria-selected="false">Hoja de enfermería</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="cuadroClinico-tab" data-toggle="tab" href="#cuadroClinico" role="tab" aria-controls="cuadroClinico" aria-selected="false">Cuadro Clínico</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="anamnesis-tab" data-toggle="tab" href="#anamnesis" role="tab" aria-controls="anamnesis" aria-selected="false">Anamnesis y Examen Físico</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="prescripciones-tab" data-toggle="tab" href="#prescripciones" role="tab" aria-controls="prescripciones" aria-selected="false">Prescripciones y Ordenes Médicas</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" id="kardec-tab" data-toggle="tab" href="#kardec" role="tab" aria-controls="kardec" aria-selected="false">Kardec</a>
      </li>
    </ul>
      <div class="tab-content" id="myTabContent">
        <div class="tab-pane fade show active" id="datos" role="tabpanel" aria-labelledby="home-tab">
          <table class="table table-responsive-sm">
              <tbody>
                  <tr>
                      <th>Nombre</th>
                      <td>{{ paciente.nombre }}</td>
                  </tr>
                  <tr>
                      <th>Apellido</th>
                      <td>{{ paciente.apellido }}</td>
                  </tr>
                  <tr>
                      <th>Dni</th>
                      <td>{{ paciente.dni }}</td>
                  </tr>
                  <tr>
                      <th>Obra Social</th>
                      <td>{{ paciente.obraSocial }}</td>
                  </tr>
                  <tr>
                      <th>Historial Clínico Nro:</th>
                      <td>{{ paciente.historialClinico }}</td>
                  </tr>
                  <tr>
                      <th>Pais</th>
                      <td>{{ paciente.pais }}</td>
                  </tr>
                  <tr>
                      <th>Provincia</th>
                      <td>{{ paciente.provincia }}</td>
                  </tr>
                  <tr>
                      <th>Localidad</th>
                      <td>{{ paciente.localidad }}</td>
                  </tr>
                  <tr>
                      <th>Domicilio</th>
                      <td>{{ paciente.domicilio }}</td>
                  </tr>
                  <tr>
                      <th>Fecha de nacimiento</th>
                      <td>{{ paciente.fechaNacimiento ? paciente.fechaNacimiento|date('d/m/Y') : '' }}</td>
                  </tr>
                  <tr>
                      <th>Requiere internación</th>
                      <td>{{ paciente.requiereInternacion ? 'Si' : 'No' }}</td>
                  </tr>
              </tbody>
          </table>
          <a class="btn btn-primary btn-sm" href="{{ path('pacientes_edit', {'id': paciente.id}) }}">Editar</a>
        </div>
        <div class="tab-pane fade" id="triage" role="tabpanel" aria-labelledby="triage-tab">
          {% if paciente.triage is defined and paciente.triage %}
            {% embed "triages/show.html.twig" with {
              'triage' : paciente.triage
            } %}{% endembed %}
          {% else %}
            <div class="row">
              <a class="btn btn-primary btn-sm " href="{{ path('triage_paciente_new', {'paciente': paciente.id}) }}">Completar Triage del Paciente</a>
            </div>
          {% endif %}
        </div>
        <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
          <div class="row">
            <div class="col-12 mt-3">
            {% if paciente.reservas|length != 0 %}
              <div class="row">
                {% embed "reservas/show.html.twig" with {
                'reserva' : paciente.reservas.last
                } %}{% endembed %}
              </div>
              <div class="row">
                <div class="col-6">

                {% if paciente.reservas.last.checkout is null %}
                <a class="btn btn-danger" href="#" data-toggle="modal" data-target="#checkoutModal">Realizar Checkout del paciente de la Institución</a>
                {% else %}
                <a class="btn btn-primary btn-sm " href="{{ path('reservas_new', {'paciente': paciente.id}) }}">Asociar Paciente a Insitución</a>
                {% endif %}
              </div>
              </div>
            {% else %}
              <a class="btn btn-primary btn-sm " href="{{ path('reservas_new', {'paciente': paciente.id}) }}">Asociar Paciente a Insitución</a>
            {% endif %}
          </div>
          </div>
        </div>
        <div class="tab-pane fade" id="valoracion" role="tabpanel" aria-labelledby="valoracion-tab">
          <div class="row mt-4">
            <div class="col-12">
              <h3>Hojas de valoraciones realizadas al paciente</h3>
              <table class="table table-striped table-responsive-sm">
                <thead>
                  <tr>
                    <th scope="col"></th>
                    <th scope="col">Fecha de Ingreso</th>
                    <th scope="col">Motivo de Consulta</th>
                  </tr>
                </thead>
                <tbody>
                  {% for item in paciente.valoraciones %}
                    <tr class='clickable-row' data-ref='{{ path('valoraciones_show', {'id': item.id}) }}'>
                      <th><span><i class="fas fa-fw fa-eye"></i></span></th>
                      <th scope="row">{{item.fechaIngreso|date('d/m/Y')}}</th>
                      <th>{{item.motivoConsulta}}</th>
                    </tr>
                  {% endfor %}
                </tbody>
              </table>
            </div>
            <div class="row">
              <div class="col-12 ml-2">
                <a
                  class="btn btn-primary btn-sm "
                  href="{{ path('valoraciones_new', {'paciente': paciente.id}) }}">
                  <span><i class="fas fa-plus"></i></span>
                  Completar Nueva Hoja de Valoración del Paciente
                </a>
              </div>
            </div>
          </div>
        </div>
        <div class="tab-pane fade" id="cuadroClinico" role="tabpanel" aria-labelledby="cuadroClinico-tab">
            <div class="row mt-4">
              <div class="col-12">
                <h3>Cuadros clínicos realizados al paciente</h3>
                <table class="table table-striped table-responsive-sm">
                  <thead>
                    <tr>
                      <th scope="col"></th>
                      <th scope="col">Fecha de Creación</th>
                      <th scope="col">Servicio</th>
                      <th scope="col">Cama</th>
                      <th scope="col">Sala</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for item in paciente.cuadrosClinicos %}
                      <tr class='clickable-row' data-ref='{{ path('cuadros_clinicos_show', {'id': item.id}) }}'>
                        <th><span><i class="fas fa-fw fa-eye"></i></span></th>
                        <th scope="row">{{item.createdAt|date('d/m/Y')}}</th>
                        <th scope="row">{{item.servicio}}</th>
                        <th scope="row">{{item.cama}}</th>
                        <th scope="row">{{item.sala}}</th>
                      </tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="row">
              <div class="col-12 ml-2">
                <a
                  class="btn btn-primary btn-sm "
                  href="{{ path('cuadros_clinicos_new', {'paciente': paciente.id}) }}">
                  <span><i class="fas fa-plus"></i></span>
                  Completar Nuevo Cuadro clínico del Paciente
                </a>
              </div>
            </div>
        </div>
        <div class="tab-pane fade" id="kardec" role="tabpanel" aria-labelledby="kardec-tab">
            <div class="row mt-4">
              <div class="col-12">
                <h3>Kardec</h3>
                <table class="table table-striped table-responsive-sm">
                  <thead>
                    <tr>
                      <th scope="col"></th>
                      <th scope="col">Fecha Ingreso</th>
                      <th scope="col">Diagnóstico</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for item in paciente.kardecs %}
                      <tr class='clickable-row' data-ref='{{ path('kardecs_show', {'id': item.id}) }}'>
                        <th><span><i class="fas fa-fw fa-eye"></i></span></th>
                        <th scope="row">{{item.fechaIngreso|date('d/m/Y')}}</th>
                        <th scope="row">{{item.diagnostico}}</th>
                      </tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="row">
              <div class="col-12 ml-2">
                  <a
                    class="btn btn-primary btn-sm "
                    href="{{ path('kardecs_new', {'paciente': paciente.id}) }}">
                    <span><i class="fas fa-plus"></i></span>
                    Completar Nuevo Kardec
                  </a>
              </div>
            </div>
        </div>
        <div class="tab-pane fade" id="anamnesis" role="tabpanel" aria-labelledby="anamnesis-tab">
            <div class="row mt-4">
              <div class="col-12">
                <h3>Anamnesis y Examen Físico</h3>
                <table class="table table-striped table-responsive-sm">
                  <thead>
                    <tr>
                      <th scope="col"></th>
                      <th scope="col">Fecha de Creación</th>
                      <th scope="col">Peso</th>
                      <th scope="col">Estatura</th>
                      <th scope="col">Presión Sanguinea</th>
                      <th scope="col">Descripción</th>
                      <th scope="col">Médico</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for item in paciente.anamnesis %}
                      <tr class='clickable-row' data-ref='{{ path('anamnesis_show', {'id': item.id}) }}'>
                        <th><span><i class="fas fa-fw fa-eye"></i></span></th>
                        <th scope="row">{{item.createdAt|date('d/m/Y H:i')}}</th>
                        <th scope="row">{{item.peso}}</th>
                        <th scope="row">{{item.estatura}}</th>
                        <th scope="row">{{item.presionSanguinea}}</th>
                        <th scope="row">{{item.descripcion}}</th>
                        <th scope="row">{{item.usuario.nombre ~ ' ' ~ item.usuario.apellido}}</th>
                      </tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="row">
              <div class="col-12 ml-2">
                {% if is_granted('ROLE_MEDICO') %}
                  <a
                    class="btn btn-primary btn-sm "
                    href="{{ path('anamnesis_new', {'paciente': paciente.id}) }}">
                    <span><i class="fas fa-plus"></i></span>
                    Completar Nueva Ficha de Anamnesis y Examen Físico
                  </a>
                {% endif %}
              </div>
            </div>
        </div>
        <div class="tab-pane fade" id="prescripciones" role="tabpanel" aria-labelledby="prescripciones-tab">
            <div class="row mt-4">
              <div class="col-8">
                <b>Apellido y Nombre: </b>{{paciente.apellido ~ ' ' ~ paciente.nombre}}
              </div>
              <div class="col-4">
                <b>H.C. N°: </b>{{paciente.historialClinico}}
              </div>
            </div>
            <div class="row mt-4">
              <div class="col-12">
                <h3>Prescripciones y Órdenes Médicas</h3>
                <table class="table table-striped table-responsive-sm">
                  <thead>
                    <tr>
                      <th scope="col">Día/Mes/Año</th>
                      <th scope="col">Hora</th>
                      <th scope="col">Prescripciones y Ordenes</th>
                      <th scope="col">Usuario</th>
                    </tr>
                  </thead>
                  <tbody>
                    {% for item in paciente.prescripcionesOrdenes %}
                      <tr>
                        <th scope="row">{{item.fecha|date('d/m/Y')}}</th>
                        <th scope="row">{{item.hora|date('H:i')}}</th>
                        <th scope="row">{{item.descripcion}}</th>
                        <th scope="row">{{item.usuario.apellido ~ ' ' ~ item.usuario.nombre}}</th>
                      </tr>
                    {% endfor %}
                  </tbody>
                </table>
              </div>
            </div>
            <div class="row">
              <div class="col-6">
                {% if is_granted('ROLE_MEDICO') %}
                    <a
                      class="btn btn-primary btn-sm d-print-none"
                      href="{{ path('prescripciones_ordenes_new', {'paciente': paciente.id}) }}">
                      <span><i class="fas fa-plus"></i></span>
                      Agregar nuevo item
                    </a>
                  {% endif %}
              </div>
              <div class="col-6">
                  <a
                    class="btn btn-primary btn-sm d-print-none float-right"
                    id="printPrescripcion"
                    href="#">
                    <span><i class="fas fa-print"></i></span>
                    Imprimir
                  </a>
              </div>
            </div>
        </div>
      </div>
      {% if paciente.reservas|length != 0 %}
        {% if paciente.reservas.last.checkout is null %}
          <div class="modal fade" id="checkoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog" role="document">
                  <div class="modal-content">
                      <div class="modal-header">
                          <h5 class="modal-title" id="exampleModalLabel">Checkout</h5>
                          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
                              <span aria-hidden="true">×</span>
                          </button>
                      </div>
                      <div class="modal-body">Seleccione el botón CHECKOUT si quiere realizar el checkout del paciente <b>{{paciente.apellido}} {{paciente.nombre}}</b></div>
                      <div class="modal-footer">
                          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
                          <a class="btn btn-danger" href="{{ path('checkout', {'id': paciente.reservas.last.id}) }}">Checkout</a>
                      </div>
                  </div>
              </div>
          </div>
          {% endif %}
      {% endif %}
    </div>
{% endblock %}

{% block javascripts %}
 {{parent()}}
 <script>
     $(document).ready(function() {
       $('#printPrescripcion').on('click', function(){
         window.print();
       });
     });
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1800);
      });
 </script>
{% endblock %}
